apiVersion: networking.istio.io/v1alpha3
kind: VirtualService
metadata:
  name: prometheus
  namespace: monitoring
spec:
  gateways:
  - global-gateway.istio-system.svc.cluster.local
  hosts:
  - prometheus.progressoft.dev
  http:
  - match:
    - uri:
        prefix: "/"
    route:
    - destination:
        host: prometheus-k8s.monitoring.svc.cluster.local
        port:
          number: "9090"  
